@extends('themes.base.layout')
@section('title', 'Gallery Admin')

@section('breadcrumb')
    <div class="breadcrumb">
        <div class="container">
            <ol class="breadcrumb">
                <li><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
                <li><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
                <li><a href="{{ route('albums.index') }}">@lang('navigation.breadcrumb.albums')</a></li>
                <li class="active">@lang('navigation.breadcrumb.create_album')</li>
            </ol>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1>@lang('admin.create_album')</h1>
                <p>@lang('admin.create_album_intro')</p>
                <p>@lang('admin.create_album_intro2')</p>
                <hr/>

                {!! Form::open(['route' => 'albums.store', 'method' => 'POST']) !!}
                <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                    {!! Form::label('name', trans('forms.name_label'), ['class' => 'control-label']) !!}
                    {!! Form::text('name', old('name'), ['class' => 'form-control']) !!}

                    @if ($errors->has('name'))
                        <span class="help-block">
                            <strong>{{ $errors->first('name') }}</strong>
                        </span>
                    @endif
                </div>

                <div class="form-group">
                    {!! Form::label('description', trans('forms.description_label'), ['class' => 'control-label']) !!}
                    {!! Form::textarea('description', old('description'), ['class' => 'form-control']) !!}
                </div>

                <div class="form-group">
                    {!! Form::label('storage_id', trans('forms.album_source_label'), ['class' => 'control-label']) !!}
                    {!! Form::select('storage_id', $album_sources, old('storage_id', $default_storage_id), ['class' => 'form-control']) !!}
                </div>

                <div class="checkbox">
                    <label>
                        <input type="checkbox" name="is_private">
                        <strong>@lang('forms.private_album_label')</strong>
                    </label>
                </div>

                <div class="form-actions">
                    <a href="{{ route('albums.index') }}" class="btn btn-default">@lang('forms.cancel_action')</a>
                    <button class="btn btn-success" type="submit"><i class="fa fa-fw fa-check"></i> @lang('forms.create_action')</button>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
@endsection