@extends('themes.base.layout')
@section('title', trans('admin.create_group'))

@section('breadcrumb')
    <div class="breadcrumb">
        <div class="container">
            <ol class="breadcrumb">
                <li><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
                <li><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
                <li><a href="{{ route('groups.index') }}">@lang('navigation.breadcrumb.groups')</a></li>
                <li class="active">@lang('navigation.breadcrumb.create_group')</li>
            </ol>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1>@yield('title')</h1>
                <p>@lang('admin.create_group_intro')</p>
                <hr/>

                {!! Form::open(['route' => 'groups.store', 'method' => 'POST']) !!}
                <div class="row">
                    <div class="col-md-6 col-md-offset-3">
                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            {!! Form::label('name', trans('forms.name_label'), ['class' => 'control-label']) !!}
                            {!! Form::text('name', old('name'), ['class' => 'form-control']) !!}

                            @if ($errors->has('name'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('name') }}</strong>
                                </span>
                            @endif
                        </div>

                        <div class="form-actions">
                            <a href="{{ route('groups.index') }}" class="btn btn-default">@lang('forms.cancel_action')</a>
                            <button class="btn btn-success" type="submit"><i class="fa fa-fw fa-check"></i> @lang('forms.create_action')</button>
                        </div>
                    </div>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
@endsection