@extends('themes.base.layout')
@section('title', trans('admin.delete_group', ['name' => $group->name]))

@section('breadcrumb')
    <div class="breadcrumb">
        <div class="container">
            <ol class="breadcrumb">
                <li><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
                <li><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
                <li><a href="{{ route('groups.index') }}">@lang('navigation.breadcrumb.groups')</a></li>
                <li class="active">@lang('navigation.breadcrumb.delete_group')</li>
            </ol>
        </div>
    </div>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <h1>@yield('title')</h1>
                <p>@lang('admin.delete_group_confirm', ['name' => $group->name])</p>
                <div class="alert alert-danger">
                    @lang('admin.delete_group_warning')
                </div>
                <div class="form-actions">
                    {!! Form::open(['route' => ['groups.destroy', $group->id], 'method' => 'DELETE']) !!}
                    <a href="{{ route('groups.index') }}" class="btn btn-default">@lang('forms.cancel_action')</a>
                    <button type="submit" class="btn btn-danger"><i class="fa fa-fw fa-trash"></i> @lang('forms.delete_action')</button>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </div>
@endsection