@extends('themes.base.layout')
@section('title', 'Welcome')

@section('content')
    <div class="container-fluid">
        @if (count($albums) > 0)
            <div class="row album-photo-cards">
                @foreach ($albums as $album)
                    <div class="col-md-3">
                        <div class="card">
                            <img class="card-img-top" src="{{ $album->thumbnailUrl('preview') }}"/>
                            <div class="card-block">
                                <h4 class="card-title"><a href="{{ $album->url() }}">{{ $album->name }}</a></h4>
                                <p class="card-text">{{ $album->description }}</p>
                            </div>
                            <div class="card-footer">
                                <small class="text-muted"><i class="fa fa-fw fa-photo"></i> {{ $album->photos_count }} photos</small>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>

            <div class="row" style="margin-top: 15px;">
                <div class="col-md-12 text-center">
                    {{ $albums->links() }}
                </div>
            </div>
        @else
            <div class="text-center">
                <h1>@lang('gallery.index_no_results_heading')</h1>
                <p style="margin-bottom: 30px; line-height: 2em;">@lang('gallery.index_no_results_text', ['admin_link' => sprintf('<a href="%s">%s</a>', route('admin'), trans('admin.title'))])</p>

                <img src="{{ asset('themes/base/images/take-a-photo.jpg') }}" class="img-responsive img-rounded" style="display: inline;" />
            </div>
        @endif
    </div>
@endsection
