@php ($field_prefix = sprintf('photo[%d]', $photo->id))
<hr/>
<div class="photo row" data-photo-id="{{ $photo->id }}">
    <div class="col-xs-12 col-sm-2">
        <div class="loading"><img src="{{ asset('ripple.svg') }}" /></div>

        <a href="{{ $photo->thumbnailUrl() }}" target="_blank">
            <img class="photo-thumbnail" src="{{ $photo->thumbnailUrl('admin-preview') }}" data-original-src="{{ $photo->thumbnailUrl('admin-preview') }}" style="max-width: 100%;"/>
        </a><br/>

        {{-- Photo editing tasks - these are hooked up using Javascript in admin/show_album --}}
        <div class="btn-toolbar" role="toolbar" style="margin-top: 5px;">
            <div class="btn-group" role="group">
                <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fa fa-fw fa-pencil"></i> <span class="caret"></span>
                </button>
                <ul class="dropdown-menu">
                    <li><a href="#" class="rotate-photo-left"><i class="fa fa-fw fa-rotate-left"></i> @lang('admin.photo_actions.rotate_left')</a></li>
                    <li><a href="#" class="rotate-photo-right"><i class="fa fa-fw fa-rotate-right"></i> @lang('admin.photo_actions.rotate_right')</a></li>
                    <li class="divider"></li>
                    <li><a href="#" class="flip-photo-horizontal"><i class="fa fa-fw fa-arrows-h"></i> @lang('admin.photo_actions.flip_horizontal')</a></li>
                    <li><a href="#" class="flip-photo-vertical"><i class="fa fa-fw fa-arrows-v"></i> @lang('admin.photo_actions.flip_vertical')</a></li>
                    <li><a href="#" class="flip-photo-both"><i class="fa fa-fw fa-retweet"></i> @lang('admin.photo_actions.flip_both')</a></li>
                </ul>
            </div>

            <div class="btn-group" role="group">
                <button type="button" class="btn btn-default btn-sm dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fa fa-fw fa-cog"></i> <span class="caret"></span>
                </button>
                <ul class="dropdown-menu">
                    <li><a href="#" class="change-album"><i class="fa fa-fw fa-share"></i> @lang('admin.photo_actions.change_album')</a></li>
                    <li><a href="#" class="regenerate-thumbnails"><i class="fa fa-fw fa-picture-o"></i> @lang('admin.photo_actions.refresh_thumbnails')</a></li>
                    <li><a href="#" class="delete-photo"><i class="fa fa-fw fa-trash text-danger"></i> <span class="text-danger">@lang('admin.photo_actions.delete')</span></a></li>
                </ul>
            </div>
        </div>

        <p style="margin-top: 10px;">
            <input type="checkbox" id="select-photo-{{ $photo->id }}" name="select-photo[]" value="{{ $photo->id }}" data-bind="checked: photoIDs" /> <label for="select-photo-{{ $photo->id }}">@lang('forms.select')</label>
        </p>
    </div>
    <div class="col-xs-12 col-sm-10">
        @php($validation_field_name = ('photo.' . $photo->id . '.name'))
        <div class="form-group{{ $errors->has($validation_field_name) ? ' has-error' : '' }}">
            {!! Form::label($field_prefix . '[name]', trans('forms.name_label'), ['class' => 'control-label']) !!}
            {!! Form::text($field_prefix . '[name]', old('name', $photo->name), ['class' => 'form-control']) !!}

            @if ($errors->has($validation_field_name))
                <span class="help-block">
                    <strong>{{ $errors->first($validation_field_name) }}</strong>
                </span>
            @endif
        </div>

        <div class="form-group">
            {!! Form::label($field_prefix . '[description]', trans('forms.description_label'), ['class' => 'control-label']) !!}
            {!! Form::textarea($field_prefix . '[description]', old('name', $photo->description), ['class' => 'form-control', 'rows' => 4]) !!}
        </div>
    </div>
</div>